Bug 244924 - net-im/pidgin-rocketchat: Convert (rename) to libpurple plugin
Summary: net-im/pidgin-rocketchat: Convert (rename) to libpurple plugin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-03-19 21:43 UTC by tobias.rehbein
Modified: 2020-05-05 07:57 UTC (History)
2 users (show)

See Also:
mizhka: maintainer-feedback+


Attachments
svn diff (6.32 KB, patch)
2020-03-19 21:43 UTC, tobias.rehbein
no flags Details | Diff
Updated svn diff (7.00 KB, patch)
2020-03-22 09:26 UTC, tobias.rehbein
no flags Details | Diff
Diff to apply after "svn mv net-im/pidgin-rocketchat net-im/purple-rocketchat" (4.33 KB, patch)
2020-04-11 05:32 UTC, tobias.rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tobias.rehbein 2020-03-19 21:43:05 UTC
Created attachment 212538 [details]
svn diff

The runtime dependency on net-im/pidgin, together with the fact that the shared object is placed in a pidgin specific directory, prevents that this plugin can be ued by other libpurple based clients.

I wanted to used this on my bitlbee server and it dragged pidgin with all dependencies on the server and I had to symlink the shared object into the libpurple directory.

That's why I propose to change this into a libpurple plugin. Pidgin, being libpurple based, can still use the rocketchat plugin.

* Rename net-im/pidgin-rocketchat to net-im/purple-rocketchat
* drop dependency on pidgin, add dependency to libpurple
* place shared object into the correct libpurple directory

While here I updated the plugin to the latest git version and reworded the pkg-descr.

The changes are documented in MOVED and UPDATING. As I am not a native speaker someone should check my spelling and grammar in UPDATING (thanks).

The svn diff I created after running

  svn mv net-im/pidgin-rocketchat net-im/purple-rocketchat

is attached to this PR.

* MOVEDlint.awk: no complains about the line I added to MOVED
* portlint -A: no errors, just a warning regarding the "purple-" prefix
* poudriere testport: ok

Tests I have done:

* I am currently running irc/bitlbee with libpurple backend and this plugin to participate in a rocketchat channel.
* I joined the same channel using net-im/pidgin using this plugin.
Comment 1 tobias.rehbein 2020-03-22 09:26:15 UTC
Created attachment 212606 [details]
Updated svn diff

I updated the patch to fix a typo in MOVED. This patch also add the new SUBDIR the net-im Makefile (and removes the old one, of course).
Comment 2 tobias.rehbein 2020-03-22 09:29:59 UTC
Although I prepared the patch by calling `svn mv net-im/pidgin-rocketchat net-im/purple-rocketchat`, I wasn't able to apply the patch after preparing a clean ports tree by calling `svn mv net-im/pidgin-rocketchat net-im/purple-rocketchat`.

The way I managed to apply the patch are the following steps:

1) svn cp net-im/pidgin-rocketchat net-im/purple-rocketchat
2) svn patch <path-to-patch>
Comment 3 tobias.rehbein 2020-04-11 05:32:21 UTC
Created attachment 213271 [details]
Diff to apply after "svn mv net-im/pidgin-rocketchat net-im/purple-rocketchat"

I recreated the diff. Now it is possible to apply the patch as expected:

1) svn mv net-im/pidgin-rocketchat net-im/purple-rocketchat
2) svn patch <path-to-patch>

* MOVEDlint.awk: no complains about the line I added to MOVED
* portlint -A: no errors, just a warning regarding the "purple-" prefix
* poudriere testport: ok
Comment 4 commit-hook freebsd_committer 2020-05-05 07:55:47 UTC
A commit references this bug:

Author: tagattie
Date: Tue May  5 07:55:34 UTC 2020
New revision: 534035
URL: https://svnweb.freebsd.org/changeset/ports/534035

Log:
  - Rename port to net-im/purple-rocketchat from net-im/pidgin-rocketchat
  - Update to 0.0.20190416
  - Make portclippy happy
  - Provide instructions to prevent pidgin from being autoremoved during update

  PR:		244924
  Submitted by:	tobias.rehbein@web.de
  Approved by:	mizhka@gmail.com (maintainer), ehaupt (mentor)

Changes:
  head/MOVED
  head/UPDATING
  head/net-im/Makefile
  head/net-im/pidgin-rocketchat/
  head/net-im/purple-rocketchat/
  head/net-im/purple-rocketchat/Makefile
  head/net-im/purple-rocketchat/distinfo
  head/net-im/purple-rocketchat/pkg-descr
Comment 5 Hiroki Tagato freebsd_committer 2020-05-05 07:57:51 UTC
Committed, thanks!